package com.jiuqi.util;

import java.io.Serializable;

public class ReturnObject implements Serializable
{
    private boolean hasError;
    private int errorCode;
    private String errorMessage;
    
    public ReturnObject() {
        this.hasError = false;
        this.errorCode = 0;
        this.errorMessage = "";
    }
    
    public ReturnObject(final Exception ex) {
        this.hasError = false;
        this.errorCode = 0;
        this.errorMessage = "";
        this.errorMessage = ex.getMessage();
        this.hasError = true;
        ex.printStackTrace();
    }
    
    public Boolean getHasError() {
        return new Boolean(this.hasError);
    }
    
    public Integer getErrorCode() {
        return new Integer(this.errorCode);
    }
    
    public String getErrorMessage() {
        return this.errorMessage;
    }
    
    public boolean errored() {
        return this.hasError;
    }
    
    public int errorcode() {
        return this.errorCode;
    }
    
    public String errorMsg() {
        return this.errorMessage;
    }
    
    public void setHasError(final Boolean newHasError) {
        this.hasError = newHasError;
    }
    
    public void setErrorCode(final Integer newErrorCode) {
        this.errorCode = newErrorCode;
    }
    
    public void setErrorMessage(final String newErrorMessage) {
        this.errorMessage = newErrorMessage;
    }
    
    public void SetErrored(final boolean value) {
        this.hasError = value;
    }
    
    public void SetErrorCode(final int value) {
        this.errorCode = value;
    }
    
    public static void main(final String[] args) {
    }
}
